トップ 最新 追記
2003|01|02|03|04|05|06|07|08|09|10|11|12|
2004|01|02|03|04|05|06|07|08|09|10|11|12|
2005|01|02|03|04|05|06|07|08|09|10|11|12|
2006|01|02|03|04|05|06|07|08|09|10|11|12|
2007|01|02|03|04|05|06|07|08|09|10|11|12|
2008|01|02|03|04|05|06|07|08|10|12|
2009|02|03|06|07|10|11|12|
2010|01|02|03|04|07|09|10|11|12|
2011|01|03|04|05|06|07|08|10|
2012|01|06|08|09|10|12|
2013|01|02|03|04|07|09|11|12|
2014|01|03|04|05|06|09|
2015|04|
2016|01|08|
ここは旧えびめもです。えびめも2に移行します(2016/12/1)

2009年02月16日

新年明けましておめでとうございます(遅)

先日の2/14バレンタインデーに debian Lenny 5.0.0 がリリースされました。早かったです!!

shやらなかんなー


2009年02月17日

lenny の基本バージョンの調査

boss3:~# uname -r
2.6.26-1-686
boss3:~# ls -l /lib/libc-2.7.so
-rwxr-xr-x 1 root root 1294572 2009-01-05 03:11 /lib/libc-2.7.so
 
boss3:~# gcc -v
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.3.2-1.1' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-targets=all --enable-cld --enable-checking=release --build=i486-linux-gnu --host=i486-linux-gnu --target=i486-linux-gnu
Thread model: posix
gcc version 4.3.2 (Debian 4.3.2-1.1)
 
boss3:~# dpkg -l libc6*
要望=(U)不明/(I)インストール/(R)削除/(P)完全削除/(H)維持
| 状態=(N)無/(I)インストール済/(C)設定/(U)展開/(F)設定失敗/(H)半インストール/(W)トリガ待ち/(T)トリガ保留
|/ エラー?=(空欄)無/(H)維持/(R)要再インストール/X=両方(状態,エラーの大文字=異常)
||/ 名前           バージョン  説明
+++-================-================-================================================
ii  libc6            2.7-18           GNU C Library: Shared libraries
ii  libc6-dev        2.7-18           GNU C Library: Development Libraries and Header
ii  libc6-i686       2.7-18           GNU C Library: Shared libraries [i686 optimized]
un  libc6.1          <なし>         (説明 (description) がありません)

2009年02月18日

glibc-2.7 SH4版クロスビルド

lenny リリースされたし、SH4版やらなかんと重い腰を動かした。
binutils-2.18 出来た。
sh4-linux-gnu-gcc-4.3.2 出来た。
glibc_2.7-18 ビルドエラー
../sysdeps/unix/sysv/linux/sys/ptrace.h:135: error: expected identifier before numeric constant
とりあえず /usr/sh4-linux-gnu/include/asm/ptrace.h の
#define PTRACE_O_TRACESYSGOOD     0x00000001
をコメントアウトして進んでみる

2009年02月19日

debian lenny

linux-kernel-headers で苦労する
etchの場合
/usr/sh4-linux-gnu/include/asm/
/usr/sh4-linux-gnu/include/asm-generic/
/usr/sh4-linux-gnu/include/linux/
lennyの場合 (linux-libc-dev)
usr/
|-- include
|   |-- asm
|   |-- asm-generic
|   |-- linux
|   |-- mtd
|   |-- rdma
|   |-- sound
|   `-- video
(/usr/include/config もたぶん必要)